=== debian/changelog ===
lorene (0.0.0~cvs20160908+dfsg-2) unstable; urgency=low

  * Provide shared libraries
  * Convert to multi-arch

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 20 Sep 2016 07:15:31 +0200

lorene (0.0.0~cvs20160908+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #837556)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 12 Sep 2016 16:33:32 +0200
