=== debian/control ===
Source: lorene
Section: science
Priority: extra
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), libfftw3-dev, libgsl0-dev, giza-dev,
	       liblapack-dev, libx11-dev, gfortran, dh-exec
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8
Homepage: http://www.lorene.obspm.fr/
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/lorene.git
Vcs-Browser: https://anonscm.debian.org/?p=debian-astro/packages/lorene.git;a=summary

Package: liblorene-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libfftw3-dev, libgsl0-dev, giza-dev, liblapack-dev, libx11-dev,
	 liblorene-debian0 (= ${binary:Version}), liblorenef77-debian0 (= ${binary:Version}),
	 liblorene-export-debian0 (= ${binary:Version}),
	 ${misc:Depends}
Recommends: gfortran
Suggests: lorene-codes-src, lorene-doc
Description: development files for the LORENE framework for numerical relativity
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains the static libraries and include files
 necessary to build LORENE codes or applications using LORENE.
 .
 Compiling LORENE codes (including some that are shipped in the
 lorene-codes-src package) often requires a Fortran compiler. LORENE
 is configured to use gfortran.

Package: lorene-codes-src
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: liblorene-dev
Description: source files of LORENE-based codes
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains the source files of several LORENE codes that
 need to be recompiled for each use case. The liblorene-dev package is
 necessary to compile those codes.

Package: lorene-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: documentation for LORENE
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains the LORENE reference guide

Package: lorene
Architecture: all
Multi-Arch: foreign
Depends: liblorene-dev, lorene-codes-src, ${misc:Depends}
Suggests: lorene-doc
Description: framework for numerical relativity
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This metapackage depends on all of the LORENE software
 components. The reference guide is available in the lorene-doc
 package.

Package: liblorene-debian0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liblorene shared library 
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains a shared library version of the liblorene library.

Package: liblorenef77-debian0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liblorenef77 shared library
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains a shared library version of the liblorenef77 library.

Package: liblorene-export-debian0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: liblorene_export shared library
 LORENE is a set of C++ classes to solve various problems arising in
 numerical relativity, and more generally in computational
 astrophysics. It provides tools to solve partial differential
 equations by means of multi-domain spectral methods.
 .
 This package contains a shared library version of the liblorene_export library.
