=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export HOME_LORENE = $(shell pwd)

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep: local_settings
	$(MAKE) doc

override_dh_auto_test-indep:

override_dh_auto_build-arch: local_settings
	$(MAKE) cpp fortran export test
	$(MAKE) -f debian/Makefile.sharedlibraries

override_dh_auto_test-arch:
	Test/test_lapack

override_dh_auto_install override_dh_auto_install-indep override_dh_auto_install-arch:

override_dh_auto_clean: local_settings
	$(MAKE) -f debian/Makefile.sharedlibraries clean
	$(MAKE) uninstall

override_dh_clean:
	dh_clean
	-rmdir C++/Source/Compobj/Objects/
	-rmdir C++/Source/Compobj/Objects_g/

local_settings: debian/local_settings
	cp debian/local_settings ./local_settings

#### Get source from cvs.
# - To get the very last version:
#     path/debian/rules get-orig-source
# - To get version from a specific date, change CVS_DATE:
#     path/debian/rules CVS_DATE=2016-08-01 get-orig-source
# - For instance, to get last packaged version, from the top directory
#   of the unpacked Debian source package:
#     ./debian/rules CVS_DATE=`dpkg-parsechangelog -SVersion | sed 's/0.0.0~cvs//' | awk -F- '{print $1}'` get-orig-source
# The source code will be retrieved from CVS into the ./Lorene
# directory. En error is triggered if such a file or directory already
# exists.
CVS_DATE = today
get-orig-source:
ifneq (,$(wildcard Lorene))
	$(error "Lorene file or directory exists, please remove it before running get-orig-source")
else
	cvs -z5 -d :pserver:anonymous:anonymous@octane.obspm.fr:/cvsroot export -D$(CVS_DATE) Lorene
# Presumably from non-DFSG PGPLOT, not used
	rm -Rf Lorene/C++/Include_extra
endif
