=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,11 @@
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
+endif
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -18,6 +22,13 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# managing sonames
+export liblorene_soname          = liblorene-debian.so.1
+export liblorene_filename        = liblorene-debian.so.1.0.0
+export liblorenef77_soname       = liblorenef77-debian.so.1
+export liblorenef77_filename     = liblorenef77-debian.so.1.0.0
+export liblorene_export_soname   = liblorene_export-debian.so.0
+export liblorene_export_filename = liblorene_export-debian.so.0.0.0
 
 # main packaging script based on dh7 syntax
 %:
@@ -47,11 +58,6 @@
 	$(MAKE) -f debian/Makefile.sharedlibraries clean
 	$(MAKE) uninstall
 
-override_dh_clean:
-	dh_clean
-	-rmdir C++/Source/Compobj/Objects/
-	-rmdir C++/Source/Compobj/Objects_g/
-
 local_settings: debian/local_settings
 	cp debian/local_settings ./local_settings
