=== debian/changelog ===
lorene (0.0.0~cvs20161116+dfsg-1.3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:59:20 +0000

lorene (0.0.0~cvs20161116+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Explicitly disable LTO, which causes build problems for gyoto

 -- Graham Inggs <ginggs@debian.org>  Sun, 03 Mar 2024 21:47:19 +0000

lorene (0.0.0~cvs20161116+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062672

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:54:33 +0000

lorene (0.0.0~cvs20161116+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 31 Dec 2023 14:40:01 +0100

lorene (0.0.0~cvs20161116+dfsg-1) unstable; urgency=medium

  * Propagate experimental changes to unstable.
  * Bug fix: "definition of __infinity is buggy (FTBFS on alpha)",
    (Closes: #845437).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 23 Nov 2016 12:29:14 +0100

lorene (0.0.0~cvs20161116+dfsg-1~exp1) experimental; urgency=low

  * Fix wrong library symlinks in liblorene-dev.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 17 Nov 2016 18:04:27 +0100

lorene (0.0.0~cvs20161116+dfsg-1~exp0) experimental; urgency=low

  * New upstream release: fixes missing symbols (by removing them from the
    API entirely). Involves soname bump of liblorene and liblorenef77.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 17 Nov 2016 15:43:57 +0100
