=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lorene
 Section: science
 Priority: extra
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 9), libfftw3-dev, libgsl0-dev, giza-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), libfftw3-dev, libgsl0-dev, giza-dev,
 	       liblapack-dev, libx11-dev, gfortran, dh-exec
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.8
@@ -16,8 +17,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libfftw3-dev, libgsl0-dev, giza-dev, liblapack-dev, libx11-dev,
-	 liblorene-debian0 (= ${binary:Version}), liblorenef77-debian0 (= ${binary:Version}),
-	 liblorene-export-debian0 (= ${binary:Version}),
+	 liblorene-debian1t64 (= ${binary:Version}), liblorenef77-debian1t64 (= ${binary:Version}),
+	 liblorene-export-debian0t64 (= ${binary:Version}),
 	 ${misc:Depends}
 Recommends: gfortran
 Suggests: lorene-codes-src, lorene-doc
@@ -77,7 +78,10 @@
  components. The reference guide is available in the lorene-doc
  package.
 
-Package: liblorene-debian0
+Package: liblorene-debian1t64
+Provides: ${t64:Provides}
+Replaces: liblorene-debian1
+Breaks: liblorene-debian1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -89,7 +93,10 @@
  .
  This package contains a shared library version of the liblorene library.
 
-Package: liblorenef77-debian0
+Package: liblorenef77-debian1t64
+Provides: ${t64:Provides}
+Replaces: liblorenef77-debian1
+Breaks: liblorenef77-debian1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -101,7 +108,10 @@
  .
  This package contains a shared library version of the liblorenef77 library.
 
-Package: liblorene-export-debian0
+Package: liblorene-export-debian0t64
+Provides: ${t64:Provides}
+Replaces: liblorene-export-debian0
+Breaks: liblorene-export-debian0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
