=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,7 @@
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
